package com.ruoyi.app.domain.request;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;

import javax.validation.constraints.NotBlank;
import java.math.BigDecimal;
import java.util.Date;

public class AddPorkSideProduce {

    /** 生产时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date produceTime;

    /** 所在产线 */
    private String deviceSerial;

    /** 吊钩号 */
    private String hookNo;


    /** 血码 */
    private String slaughterCode;

    /** 分销批次ID */
    private Long distributeBatchId;

    /** 入场批次ID */
    private Long entranceBatchId;


    public void setProduceTime(Date produceTime)
    {
        this.produceTime = produceTime;
    }

    public Date getProduceTime()
    {
        return produceTime;
    }

    public void setDeviceSerial(String deviceSerial)
    {
        this.deviceSerial = deviceSerial;
    }

    public String getDeviceSerial()
    {
        return deviceSerial;
    }

    public void setHookNo(String hookNo)
    {
        this.hookNo = hookNo;
    }

    @NotBlank(message = "吊钩号不能为空")
    public String getHookNo()
    {
        return hookNo;
    }

    public void setSlaughterCode(String slaughterCode)
    {
        this.slaughterCode = slaughterCode;
    }

    public String getSlaughterCode()
    {
        return slaughterCode;
    }

    public void setDistributeBatchId(Long distributeBatchId)
    {
        this.distributeBatchId = distributeBatchId;
    }

    public Long getDistributeBatchId()
    {
        return distributeBatchId;
    }

    public void setEntranceBatchId(Long entranceBatchId)
    {
        this.entranceBatchId = entranceBatchId;
    }

    public Long getEntranceBatchId()
    {
        return entranceBatchId;
    }

}
